Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.endpoint
Class AbstractConduitSelector

    java.lang.Object
      org.apache.cxf.endpoint.AbstractConduitSelector

All Implemented Interfaces:
  ConduitSelector

Direct Known Subclasses:
  DeferredConduitSelector, UpfrontConduitSelector

    public abstract class AbstractConduitSelector

extends java.lang.Object
implements ConduitSelector

Abstract base class holding logic common to any ConduitSelector that retreives a Conduit from the ConduitInitiator.

Field Summary
`protected Endpoint` | `endpoint`
`protected Conduit` | `selectedConduit`

Constructor Summary
`AbstractConduitSelector(Conduit c)` Constructor, allowing a specific conduit to override normal selection.

Method Summary
`void` | `complete(Exchange exchange)` Called on completion of the MEP for which the Conduit was required.
`Endpoint` | `getEndpoint()`
`protected abstract java.util.logging.Logger` | `getLogger()`
`protected Conduit` | `getSelectedConduit(Message message)` Mechanics to actually get the Conduit from the ConduitInitiator if necessary.
`void` | `setEndpoint(Endpoint ep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cxf.endpoint.ConduitSelector
`prepare, selectConduit`

Field Detail

### selectedConduit

    protected Conduit selectedConduit

### endpoint

    protected Endpoint endpoint

Constructor Detail

### AbstractConduitSelector

    public AbstractConduitSelector(Conduit c)

  Constructor, allowing a specific conduit to override normal selection.

  Parameters:
    `c` - specific conduit

Method Detail

### getSelectedConduit

    protected Conduit getSelectedConduit(Message message)

  Mechanics to actually get the Conduit from the ConduitInitiator if necessary.

  Parameters:
    `message` - the current Message

### getEndpoint

    public Endpoint getEndpoint()

  Specified by:
    `getEndpoint` in interface `ConduitSelector`
  Returns:
    the encapsulated Endpoint

### setEndpoint

    public void setEndpoint(Endpoint ep)

  Specified by:
    `setEndpoint` in interface `ConduitSelector`
  Parameters:
    `ep` - the endpoint to encapsulate

### complete

    public void complete(Exchange exchange)

  Called on completion of the MEP for which the Conduit was required.

  Specified by:
    `complete` in interface `ConduitSelector`
  Parameters:
    `exchange` - represents the completed MEP

### getLogger

    protected abstract java.util.logging.Logger getLogger()

  Returns:
    the logger to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.